<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="9e2e55fd-02be-4618-ba4c-04a1136ae97d" name="Default Changelist" comment="" />
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <ignored path="$PROJECT_DIR$/tulingxueyuan-spring-boot-starter/target/" />
    <ignored path="$PROJECT_DIR$/tulingxueyuan-spring-boot-autoconfigure/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CompilerWorkspaceConfiguration">
    <option name="MAKE_PROJECT_ON_SAVE" value="true" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/tulingxueyuan-spring-boot-autoconfigure/src/main/resources/META-INF/spring.factories">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="60">
              <caret line="2" column="51" selection-start-line="2" selection-start-column="28" selection-end-line="2" selection-end-column="51" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/tulingxueyuan-spring-boot-autoconfigure/src/main/java/com/starter/tulingxueyuan/HelloProperties.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="180">
              <caret line="6" column="22" selection-start-line="6" selection-start-column="22" selection-end-line="6" selection-end-column="22" />
              <folding>
                <element signature="e#301#302#0" expanded="true" />
                <element signature="e#328#329#0" expanded="true" />
                <element signature="e#368#369#0" expanded="true" />
                <element signature="e#400#401#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/tulingxueyuan-spring-boot-starter/pom.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="360">
              <caret line="12" column="20" selection-start-line="12" selection-start-column="20" selection-end-line="12" selection-end-column="20" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/tulingxueyuan-spring-boot-autoconfigure/src/main/java/com/starter/tulingxueyuan/HelloAutoConfitguration.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="390">
              <caret line="22" column="14" selection-start-line="22" selection-start-column="14" selection-end-line="22" selection-end-column="14" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-autoconfigure/2.3.6.RELEASE/spring-boot-autoconfigure-2.3.6.RELEASE-sources.jar!/org/springframework/boot/autoconfigure/condition/ConditionalOnClass.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="690">
              <caret line="43" column="18" selection-start-line="43" selection-start-column="18" selection-end-line="43" selection-end-column="18" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/tulingxueyuan-spring-boot-autoconfigure/src/main/java/com/starter/tulingxueyuan/IndexController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="462">
              <caret line="25" selection-start-line="25" selection-end-line="25" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/tulingxueyuan-spring-boot-autoconfigure/pom.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="840">
              <caret line="28" column="37" selection-start-line="28" selection-start-column="37" selection-end-line="28" selection-end-column="37" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>getConfigurationPhase</find>
      <find>Phase</find>
      <find>matches</find>
      <find>ConfigurationProperties.class)</find>
      <find>postProcessBeforeInitialization</find>
      <find>getAll</find>
      <find>ConfigurationPropertiesBean</find>
    </findStrings>
    <replaceStrings>
      <replace />
    </replaceStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/tulingxueyuan-spring-boot-starter/pom.xml" />
        <option value="$PROJECT_DIR$/tulingxueyuan-spring-boot-autoconfigure/src/main/java/com/starter/tulingxueyuan/HelloProperties.java" />
        <option value="$PROJECT_DIR$/tulingxueyuan-spring-boot-autoconfigure/src/main/java/com/starter/tulingxueyuan/IndexController.java" />
        <option value="$PROJECT_DIR$/tulingxueyuan-spring-boot-autoconfigure/src/main/resources/META-INF/spring.factories" />
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/tulingxueyuan-spring-boot-autoconfigure/src/main/java/com/starter/tulingxueyuan/HelloAutoConfitguration.java" />
        <option value="$PROJECT_DIR$/tulingxueyuan-spring-boot-autoconfigure/pom.xml" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="localRepository" value="C:\repmvn" />
        <option name="mavenHome" value="D:/apache-maven-3.6.1" />
        <option name="userSettingsFile" value="D:\apache-maven-3.6.1\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
        <option name="vmOptionsForImporter" value="-Xmx768m" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="tulingxueyuan-spring-boot-autoconfigure" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="tulingxueyuan-spring-boot-autoconfigure" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="tulingxueyuan-spring-boot-autoconfigure" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Plugins" type="7aea1407:MavenProjectsStructure$PluginsNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="tulingxueyuan-spring-boot-starter" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="tulingxueyuan-spring-boot-starter" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds" extendedState="7">
    <option name="x" value="-10" />
    <option name="width" value="1935" />
    <option name="height" value="1040" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="springboot_custome_starter" type="b2602c69:ProjectViewProjectNode" />
              <item name="springboot_custome_starter" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="springboot_custome_starter" type="b2602c69:ProjectViewProjectNode" />
              <item name="springboot_custome_starter" type="462c0819:PsiDirectoryNode" />
              <item name="tulingxueyuan-spring-boot-autoconfigure" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="springboot_custome_starter" type="b2602c69:ProjectViewProjectNode" />
              <item name="springboot_custome_starter" type="462c0819:PsiDirectoryNode" />
              <item name="tulingxueyuan-spring-boot-autoconfigure" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="springboot_custome_starter" type="b2602c69:ProjectViewProjectNode" />
              <item name="springboot_custome_starter" type="462c0819:PsiDirectoryNode" />
              <item name="tulingxueyuan-spring-boot-autoconfigure" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="springboot_custome_starter" type="b2602c69:ProjectViewProjectNode" />
              <item name="springboot_custome_starter" type="462c0819:PsiDirectoryNode" />
              <item name="tulingxueyuan-spring-boot-autoconfigure" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="springboot_custome_starter" type="b2602c69:ProjectViewProjectNode" />
              <item name="springboot_custome_starter" type="462c0819:PsiDirectoryNode" />
              <item name="tulingxueyuan-spring-boot-autoconfigure" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="tulingxueyuan" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="springboot_custome_starter" type="b2602c69:ProjectViewProjectNode" />
              <item name="springboot_custome_starter" type="462c0819:PsiDirectoryNode" />
              <item name="tulingxueyuan-spring-boot-autoconfigure" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="springboot_custome_starter" type="b2602c69:ProjectViewProjectNode" />
              <item name="springboot_custome_starter" type="462c0819:PsiDirectoryNode" />
              <item name="tulingxueyuan-spring-boot-autoconfigure" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="META-INF" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="springboot_custome_starter" type="b2602c69:ProjectViewProjectNode" />
              <item name="springboot_custome_starter" type="462c0819:PsiDirectoryNode" />
              <item name="tulingxueyuan-spring-boot-autoconfigure" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="springboot_custome_starter" type="b2602c69:ProjectViewProjectNode" />
              <item name="springboot_custome_starter" type="462c0819:PsiDirectoryNode" />
              <item name="tulingxueyuan-spring-boot-starter" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../../springmvc/01-springmvc_helloworld" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="project.structure.last.edited" value="Project" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.27921405" />
    <property name="settings.editor.selected.configurable" value="spring.boot" />
  </component>
  <component name="RebelAgentSelection">
    <selection>jr</selection>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SpringBootOptions">
    <option name="showAdditionalConfigNotification" value="false" />
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="9e2e55fd-02be-4618-ba4c-04a1136ae97d" name="Default Changelist" comment="" />
      <created>1608617023903</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1608617023903</updated>
      <workItem from="1608617026206" duration="2142000" />
      <workItem from="1608637985081" duration="380000" />
      <workItem from="1614770407255" duration="86000" />
      <workItem from="1614771308971" duration="4000" />
      <workItem from="1614771347300" duration="8000" />
      <workItem from="1616413922836" duration="11061000" />
      <workItem from="1616577549701" duration="4474000" />
      <workItem from="1616657248326" duration="1304000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="19459000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-7" y="-7" width="1550" height="838" extended-state="7" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.27345845" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="JRebel" order="3" side_tool="true" />
      <window_info id="Image Layers" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="UI Designer" order="6" />
      <window_info id="Favorites" order="7" side_tool="true" />
      <window_info id="Web" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" visible="true" weight="0.12606232" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Spring" order="7" />
      <window_info anchor="bottom" id="Terminal" order="8" />
      <window_info anchor="bottom" id="Docker" order="9" show_stripe_button="false" />
      <window_info anchor="bottom" id="Sequence" order="10" />
      <window_info anchor="bottom" id="Event Log" order="11" side_tool="true" />
      <window_info anchor="bottom" id="Statistic" order="12" />
      <window_info anchor="bottom" id="Problems" order="13" />
      <window_info anchor="bottom" id="Java Enterprise" order="14" />
      <window_info anchor="bottom" id="Database Changes" order="15" />
      <window_info anchor="bottom" id="Version Control" order="16" />
      <window_info anchor="bottom" id="JRebel Executor" order="17" />
      <window_info anchor="bottom" id="JRebel Console" order="18" side_tool="true" />
      <window_info anchor="bottom" id="MyBatis Log" order="19" side_tool="true" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Maven" order="3" weight="0.3297587" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="right" id="Word Book" order="6" side_tool="true" />
      <window_info anchor="right" id="Database" order="7" />
      <window_info anchor="right" id="Palette&#9;" order="8" />
      <window_info anchor="right" id="Theme Preview" order="9" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-autoconfigure/2.3.6.RELEASE/spring-boot-autoconfigure-2.3.6.RELEASE-sources.jar!/org/springframework/boot/autoconfigure/condition/OnBeanCondition.java</url>
          <line>86</line>
          <properties />
          <option name="timeStamp" value="1" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-dependencies/2.3.6.RELEASE/spring-boot-dependencies-2.3.6.RELEASE.pom">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="218">
          <caret line="3173" column="8" selection-start-line="3173" selection-start-column="8" selection-end-line="3173" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-autoconfigure/2.3.6.RELEASE/spring-boot-autoconfigure-2.3.6.RELEASE-sources.jar!/org/springframework/boot/autoconfigure/condition/ConditionalOnMissingBean.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="210">
          <caret line="38" column="22" lean-forward="true" selection-start-line="38" selection-start-column="22" selection-end-line="38" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/spring-context/5.2.11.RELEASE/spring-context-5.2.11.RELEASE-sources.jar!/org/springframework/context/annotation/Conditional.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="130">
          <caret line="61" column="18" selection-start-line="61" selection-start-column="18" selection-end-line="61" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-autoconfigure/2.3.6.RELEASE/spring-boot-autoconfigure-2.3.6.RELEASE-sources.jar!/org/springframework/boot/autoconfigure/condition/ConditionalOnMissingClass.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="190">
          <caret line="36" column="18" selection-start-line="36" selection-start-column="18" selection-end-line="36" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-autoconfigure/2.3.6.RELEASE/spring-boot-autoconfigure-2.3.6.RELEASE-sources.jar!/org/springframework/boot/autoconfigure/condition/AbstractNestedCondition.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="122">
          <caret line="48" column="47" selection-start-line="48" selection-start-column="47" selection-end-line="48" selection-end-column="47" />
          <folding>
            <element signature="e#2083#2084#0" expanded="true" />
            <element signature="e#2120#2121#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-autoconfigure/2.3.6.RELEASE/spring-boot-autoconfigure-2.3.6.RELEASE-sources.jar!/org/springframework/boot/autoconfigure/condition/ConditionalOnJndi.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="151">
          <caret line="38" column="22" lean-forward="true" selection-start-line="38" selection-start-column="22" selection-end-line="38" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-autoconfigure/2.3.6.RELEASE/spring-boot-autoconfigure-2.3.6.RELEASE-sources.jar!/org/springframework/boot/autoconfigure/condition/OnJndiCondition.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="82">
          <caret line="35" column="3" lean-forward="true" selection-start-line="35" selection-start-column="3" selection-end-line="35" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-autoconfigure/2.3.6.RELEASE/spring-boot-autoconfigure-2.3.6.RELEASE-sources.jar!/org/springframework/boot/autoconfigure/condition/ConditionalOnBean.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="63" column="23" selection-start-line="63" selection-start-column="23" selection-end-line="63" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-autoconfigure/2.3.6.RELEASE/spring-boot-autoconfigure-2.3.6.RELEASE-sources.jar!/org/springframework/boot/autoconfigure/condition/FilteringSpringBootCondition.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="154">
          <caret line="38" column="67" selection-start-line="38" selection-start-column="67" selection-end-line="38" selection-end-column="67" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-autoconfigure/2.3.6.RELEASE/spring-boot-autoconfigure-2.3.6.RELEASE-sources.jar!/org/springframework/boot/autoconfigure/condition/SpringBootCondition.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="263">
          <caret line="38" column="22" selection-start-line="38" selection-start-column="22" selection-end-line="38" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-autoconfigure/2.3.6.RELEASE/spring-boot-autoconfigure-2.3.6.RELEASE-sources.jar!/org/springframework/boot/autoconfigure/condition/OnWebApplicationCondition.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="173">
          <caret line="44" column="6" selection-start-line="44" selection-start-column="6" selection-end-line="44" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/spring-context/5.2.11.RELEASE/spring-context-5.2.11.RELEASE-sources.jar!/org/springframework/context/annotation/ConfigurationCondition.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="28" column="3" selection-start-line="28" selection-start-column="3" selection-end-line="28" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-autoconfigure/2.3.6.RELEASE/spring-boot-autoconfigure-2.3.6.RELEASE-sources.jar!/org/springframework/boot/autoconfigure/condition/OnClassCondition.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="154">
          <caret line="43" column="6" selection-start-line="43" selection-start-column="6" selection-end-line="43" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-autoconfigure/2.3.6.RELEASE/spring-boot-autoconfigure-2.3.6.RELEASE-sources.jar!/org/springframework/boot/autoconfigure/condition/OnBeanCondition.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="334">
          <caret line="76" column="83" selection-start-line="76" selection-start-column="83" selection-end-line="76" selection-end-column="83" />
          <folding>
            <element signature="e#3257#3258#0" expanded="true" />
            <element signature="e#3303#3304#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot/2.3.6.RELEASE/spring-boot-2.3.6.RELEASE-sources.jar!/org/springframework/boot/context/properties/ConfigurationPropertiesScan.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="270">
          <caret line="43" column="51" lean-forward="true" selection-start-line="43" selection-start-column="51" selection-end-line="43" selection-end-column="51" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot/2.3.6.RELEASE/spring-boot-2.3.6.RELEASE-sources.jar!/org/springframework/boot/context/properties/ConfigurationPropertiesBean.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="89">
          <caret line="261" column="28" selection-start-line="261" selection-start-column="28" selection-end-line="261" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot/2.3.6.RELEASE/spring-boot-2.3.6.RELEASE-sources.jar!/org/springframework/boot/context/properties/ConfigurationPropertiesBindingPostProcessor.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="179">
          <caret line="77" column="43" selection-start-line="77" selection-start-column="43" selection-end-line="77" selection-end-column="43" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot/2.3.6.RELEASE/spring-boot-2.3.6.RELEASE-sources.jar!/org/springframework/boot/context/properties/ConfigurationProperties.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="248">
          <caret line="48" column="18" selection-start-line="48" selection-start-column="18" selection-end-line="48" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="420">
          <caret line="32" column="11" lean-forward="true" selection-start-line="32" selection-start-column="11" selection-end-line="32" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-starter/2.3.6.RELEASE/spring-boot-starter-2.3.6.RELEASE.pom">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot/2.3.6.RELEASE/spring-boot-2.3.6.RELEASE-sources.jar!/org/springframework/boot/context/properties/EnableConfigurationProperties.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="540">
          <caret line="39" column="30" selection-start-line="39" selection-start-column="30" selection-end-line="39" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot/2.3.6.RELEASE/spring-boot-2.3.6.RELEASE-sources.jar!/org/springframework/boot/context/properties/EnableConfigurationPropertiesRegistrar.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="870">
          <caret line="50" column="55" selection-start-line="50" selection-start-column="55" selection-end-line="50" selection-end-column="55" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot/2.3.6.RELEASE/spring-boot-2.3.6.RELEASE-sources.jar!/org/springframework/boot/context/properties/ConfigurationPropertiesBeanRegistrar.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="810">
          <caret line="52" column="11" selection-start-line="52" selection-start-column="11" selection-end-line="52" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tulingxueyuan-spring-boot-autoconfigure/src/main/resources/META-INF/spring.factories">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="2" column="51" selection-start-line="2" selection-start-column="28" selection-end-line="2" selection-end-column="51" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tulingxueyuan-spring-boot-autoconfigure/src/main/java/com/starter/tulingxueyuan/HelloProperties.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="6" column="22" selection-start-line="6" selection-start-column="22" selection-end-line="6" selection-end-column="22" />
          <folding>
            <element signature="e#301#302#0" expanded="true" />
            <element signature="e#328#329#0" expanded="true" />
            <element signature="e#368#369#0" expanded="true" />
            <element signature="e#400#401#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tulingxueyuan-spring-boot-starter/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="360">
          <caret line="12" column="20" selection-start-line="12" selection-start-column="20" selection-end-line="12" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tulingxueyuan-spring-boot-autoconfigure/src/main/java/com/starter/tulingxueyuan/HelloAutoConfitguration.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="390">
          <caret line="22" column="14" selection-start-line="22" selection-start-column="14" selection-end-line="22" selection-end-column="14" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-autoconfigure/2.3.6.RELEASE/spring-boot-autoconfigure-2.3.6.RELEASE-sources.jar!/org/springframework/boot/autoconfigure/condition/ConditionalOnClass.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="690">
          <caret line="43" column="18" selection-start-line="43" selection-start-column="18" selection-end-line="43" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tulingxueyuan-spring-boot-autoconfigure/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="840">
          <caret line="28" column="37" selection-start-line="28" selection-start-column="37" selection-end-line="28" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tulingxueyuan-spring-boot-autoconfigure/src/main/java/com/starter/tulingxueyuan/IndexController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="462">
          <caret line="25" selection-start-line="25" selection-end-line="25" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.27921405" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.27921405" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.1948956" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.27921405" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>